## Troubleshooting

If the profiler behaves unexpectedly during the profiling session, or the profiling session fails to start, try the following steps:

- Close the host application.

- Restart the target device.

- Start the host application and connect to the target device.

To enable logging on the host, refer to this config file:

>     host-linux-x64/nvlog.config.template

When reporting any bugs please include the build version number as described in the Help → About dialog. If possible, attach log files and report (`.qdrep`) files, as they already contain necessary version information.

Nsight Systems uses a settings file (`NVIDIA Nsight Systems.ini`) on the host to store information about loaded projects, report files, window layout configuration, etc. Location of the settings file is described in the Help → About dialog. Deleting the settings file will restore Nsight Systems to a fresh state, but all projects and reports will disappear from the Project Explorer.

### GUI Troubleshooting

If opening the Nsight Systems Linux GUI fails with the following error, you may be missing some required libraries:

>     This application failed to start because it could not find or load the Qt
>     platform plugin "xcb" in "".
>     Available platform plugins are: xcb.
>     Reinstalling the application may fix this problem.

Launch Nsight Systems using the following command line to determine which libraries are missing and install them.

>     $ QT_DEBUG_PLUGINS=1 ./nsight-sys

If the workload does not run when launched via Nsight Systems or the timeline is empty, check the stderr.log and stdout.log (click on drop-down menu showing Timeline View and click on Files) to see the errors encountered by the app.

### Symbol Resolution

If stack trace information is missing symbols and you have a symbol file, you can manually re-resolve using the ResolveSymbols utility. You will find this utility in the `[installation_path]\Host` directory. This utility works with ELF format files or files where each line is in the format `<start><length><name>`.

Option Short | Option Long | Argument | Description
--- | --- | --- | ---
-h | --help |  | Help message providing information about available options.
-l | --process-list |  | Print global process IDs list
-s | --sym-file | filename | Path to symbol file
-b | --base-addr | address | If set then <start> in symbol file is treated as relative address starting from this base address
-p | --global-pid | pid | Which process in the report should be resolved. May be omitted if there is only one process in the report.
-f | --force |  | This option forces use of a given symbol file.
-i | --report | filename | Path to the report with unresolved symbols.
-o | --output | filename | Path and name of the output file. If it is omitted then "resolved" suffix is added to the original filename.

### Verbose Logging on Linux Targets

Verbose logging is available when connecting to a Linux-based device from the GUI on the host. This extra debug information is not available when launching via the command line. Nsight Systems installs its executable and library files into the following directory:

>     /opt/nvidia/nsight_systems/

To enable verbose logging on the target device, when launched from the host, follow these steps:

- Close the host application.

- Restart the target device.

- Place nvlog.config from host directory to /opt/nvidia/nsight_systems directory on target

- From SSH console, launch the following command:

  >     sudo /opt/nvidia/nsight_systems/nsys --daemon --debug

- Start the host application and connect to the target device.

Logs on the target devices are collected into this file (if enabled):

>     nsys.log

in the directory where nsys command was launched.

Please note that in some cases, debug logging can significantly slow down the profiler.

### Verbose Logging on Windows Targets

Verbose logging is available when connecting to a Windows-based device from the GUI on the host. Nsight Systems installs its executable and library files into the following directory by default:

>     C:\Program Files\NVIDIA Corporation\Nsight Systems 2020.3.2

To enable verbose logging on the target device, when launched from the host, follow these steps:

- Close the host application.

- Terminate the `nsight-sys-agent` process.

- Place `nvlog.config` from host directory (host-linux-x64) next to Nsight Systems Windows agent on the target device

  - Local Windows target:

    >     C:\Program Files\NVIDIA Corporation\Nsight Systems 2020.3.2\target-windows-x64

  - Remote Windows target:

    >     C:\Users\<user name>\AppData\Local\Temp\nvidia\nsight_systems

- Start the host application and connect to the target device.

Logs on the target devices are collected into this file (if enabled):

>     nsight-sys.log

in the same directory as Nsight Systems Windows agent.

Please note that in some cases debug logging can significantly slow down the profiler.

Copyright (c) 2012-2020, NVIDIA Corporation. All rights reserved.